pdumodel::Circuit_1_0_3::Sensors Struct Reference

Circuit sensors. More...

`import"Circuit.idl";`

## Public Attributes

sensors::NumericSensor_4_0_3 | current
| RMS current sensor.
sensors::NumericSensor_4_0_3 | activePower
| Active power sensor.
sensors::NumericSensor_4_0_3 | reactivePower
| Reactive power sensor.
sensors::NumericSensor_4_0_3 | apparentPower
| Apparent power sensor.
sensors::NumericSensor_4_0_3 | powerFactor
| Power factor sensor.
sensors::NumericSensor_4_0_3 | phaseAngle
| Phase angle sensor.
sensors::NumericSensor_4_0_3 | displacementPowerFactor
| Displacement power factor.
sensors::NumericSensor_4_0_3 | activeEnergy
| Active energy sensor.
sensors::NumericSensor_4_0_3 | unbalancedCurrent
| Current unbalance sensor.
sensors::NumericSensor_4_0_3 | crestFactor
| Crest factor sensor.

## Detailed Description

Circuit sensors.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Circuit.idl